# Uses of Class
com.opensymphony.module.sitemesh.html.State

Packages that use State
Package
Description
com.opensymphony.module.sitemesh.html
com.opensymphony.module.sitemesh.multipass
com.opensymphony.module.sitemesh.parser

## Uses of State in com.opensymphony.module.sitemesh.html

Fields in com.opensymphony.module.sitemesh.html declared as State
Modifier and Type
Field
Description
`private State`
HTMLProcessor.`currentState`
`private final State`
HTMLProcessor.`defaultState`
`private State`
StateTransitionRule.`lastState`
`private final State`
StateTransitionRule.`newState`
Methods in com.opensymphony.module.sitemesh.html that return State
Modifier and Type
Method
Description
`State`
HTMLProcessorContext.`currentState()`
`State`
HTMLProcessor.`defaultState()`
Methods in com.opensymphony.module.sitemesh.html with parameters of type State
Modifier and Type
Method
Description
`void`
HTMLProcessorContext.`changeState(State newState)`
Constructors in com.opensymphony.module.sitemesh.html with parameters of type State
Modifier
Constructor
Description
``
`StateTransitionRule(String tagName, State newState)`
``
`StateTransitionRule(String tagName, State newState, boolean writeEnclosingTag)`

## Uses of State in com.opensymphony.module.sitemesh.multipass

Methods in com.opensymphony.module.sitemesh.multipass with parameters of type State
Modifier and Type
Method
Description
`protected void`
DivExtractingPageParser.`addUserDefinedRules(State html, PageBuilder page)`

## Uses of State in com.opensymphony.module.sitemesh.parser

Methods in com.opensymphony.module.sitemesh.parser with parameters of type State
Modifier and Type
Method
Description
`protected void`
HTMLPageParser.`addUserDefinedRules(State html, PageBuilder page)`